
/**
 * Unidade < Carga
 * 
 * @author FMM
 * @version (a version number or a date)
 */
public class Unidade extends Carga {
   
   private int quant;
   
   public int getQuant() { return quant; }
   public void setQuant(int qt) { quant = qt; }
   
   public Unidade() { super(); quant = 0; }
   
   public Unidade(Unidade und) {
       super(und);
       quant = und.getQuant();
   }
   
  
   public Unidade(String cod, double dist, String cli, String dest, String prod, int qt) {
       super(cod, dist, cli, dest, prod); 
       quant = qt;
   }
  
   
   public double calculaPreco() {
       return getPreco(this.getClass().getSimpleName())*quant + 
              getPrecoKm()*this.getKms();
   }
   
   public Unidade clone() { return new Unidade(this); }   
   
   public String toString() {
       StringBuilder sb = new StringBuilder(super.toString());
       sb.append("Unidades " + quant + "\n");
       return sb.toString();
   }
   
   public int hashCode() { return super.hashCode() + quant*5; }

}
